View Issue Details

IDProjectCategoryView StatusLast Update
0003809SymmetricDSImprovementpublic2019-03-14 08:48
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.10.0 
Target Version3.10.0Fixed in Version3.10.0 
Summary0003809: Data extract and routing fallback to contains_big_lob
DescriptionFor dialects like Firebird and Oracle, the data extractor and router service use a substr() technique to quickly extract from sym_data, which can be slow on those platforms due to returning LOB data. The sym_channel.contains_big_lob=1 will select sym_data as LOB, but it's slower, so we default to contains_big_lob=0. Test if the data extracted is cut off, then fall back to behavior of contains_big_lob=1, and warn the user about what happened so they can change the setting if it happens a lot.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.10 39c7f7b3

2018-11-28 15:27:36

admin

Details Diff
0003809: Data extract fallback to contains_big_lob
0003809
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/db2/Db2SymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/firebird/FirebirdSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/interbase/InterbaseSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/oracle/OracleSymmetricDialect.java Diff File
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/tibero/TiberoSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractSymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/ISymmetricDialect.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/AbstractDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IDataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File

SymmetricDS: 3.10 b25fc1ac

2018-11-29 09:13:24

admin

Details Diff
0003809: Data extract and routing fallback to contains_big_lob
0003809
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/AbstractDataRouter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ChannelRouterContext.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/DataGapRouteReader.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File

SymmetricDS: 3.10 ae46783f

2019-03-11 09:05:26

admin

Details Diff
0003809: Data extract and routing fallback to contains_big_lob
0003809
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File

SymmetricDS: 3.10 b1981c6a

2019-03-12 08:58:29

admin

Details Diff
0003809: Data extract and routing fallback to contains_big_lob
0003809
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File

SymmetricDS: 3.10 43144256

2019-03-13 08:48:23

admin

Details Diff
0003809: Data extract and routing fallback to contains_big_lob
0003809
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/AbstractBatch.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ChannelRouterContext.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File

Issue History

Date Modified Username Field Change
2018-11-28 13:08 elong New Issue
2018-11-28 13:08 elong Status new => assigned
2018-11-28 13:08 elong Assigned To => elong
2018-11-28 16:00 admin Changeset attached => SymmetricDS 3.10 39c7f7b3
2018-11-29 09:12 elong Summary Data extract fallback to contains_big_lob => Data extract and routing fallback to contains_big_lob
2018-11-29 09:12 elong Description Updated View Revisions
2018-11-29 09:13 elong Status assigned => resolved
2018-11-29 09:13 elong Resolution open => fixed
2018-11-29 09:13 elong Fixed in Version => 3.10.0
2018-11-29 10:00 admin Changeset attached => SymmetricDS 3.10 b25fc1ac
2019-03-11 10:00 admin Changeset attached => SymmetricDS 3.10 ae46783f
2019-03-12 09:00 admin Changeset attached => SymmetricDS 3.10 b1981c6a
2019-03-13 09:00 admin Changeset attached => SymmetricDS 3.10 43144256
2019-03-14 08:48 admin Status resolved => closed